curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/groups \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const groups = await turso.groups.list();
{
"groups": [
{
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
}
]
}Groups
List Groups
Returns a list of groups belonging to the organization or user.
GET
/
v1
/
organizations
/
{organizationSlug}
/
groups
curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/groups \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const groups = await turso.groups.list();
{
"groups": [
{
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
}
]
}curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/groups \
-H 'Authorization: Bearer TOKEN'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const groups = await turso.groups.list();
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
Was this page helpful?